### Method

# Ide Task is_valid

#### Declaration

    gboolean
    ide_task_is_valid (
      IdeTask* self,
      gpointer source_object
    )

#### Description

Checks if `source_object` matches the object the task was created with.

Available since: | 3.32

#### Parameters

`source_object` | `gpointer`
| A `GObject` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` is source_object matches.